<?php
namespace admin\controls;

class ArticlesArchive
{
  public static function article_restore()
  {
    if ( \admin\factory\ArticlesArchive::article_restore( \S::get( 'id' ) ) )
      \S::alert( 'Artykuł został przywrócony.' );
    header( 'Location: /admin/articles_archive/view_list/' );
    exit;
  }
  
  public static function article_delete()
  {
    if ( \admin\factory\ArticlesArchive::article_delete( \S::get( 'id' ) ) )
      \S::alert( 'Artykuł został usunięty.' );
    header( 'Location: /admin/articles_archive/view_list/' );
    exit;
  }
  
  public static function view_list()
  {
    return \admin\view\ArticlesArchive::articles_list();
  }
}
